Package net.shibboleth.idp.authn.spnego.impl

# Class KerberosSettings

java.lang.Object
net.shibboleth.idp.authn.spnego.impl.KerberosSettings

public class KerberosSettings extends Object
Kerberos settings for the SPNEGO authentication flow.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`loginModuleClassName`
Class name of JAAS LoginModule to acquire Kerberos credentials.
`private Collection<KerberosRealmSettings>`
`realmSettings`
List of realms (KerberosRealmSettings objects).
`private boolean`
`refreshKrb5Config`
Refresh the Kerberos config before running?

## Constructor Summary

Constructors
Constructor
Description
`KerberosSettings()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLoginModuleClassName()`
Return name of the JAAS LoginModule to use to acquire Kerberos credentials.
`Collection<KerberosRealmSettings>`
`getRealms()`
Get list of realms.
`boolean`
`getRefreshKrb5Config()`
Return whether to refresh the Kerberos configuration before running.
`void`
`setLoginModuleClassName(String name)`
Set the name of the JAAS LoginModule to use to acquire Kerberos credentials.
`void`
`setRealms(Collection<KerberosRealmSettings> realms)`
Collection of realms (KerberosRealmSettings objects).
`void`
`setRefreshKrb5Config(boolean flag)`
Set whether to refresh the Kerberos configuration before running.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### loginModuleClassName

@Nonnull @NotEmpty private String loginModuleClassName
Class name of JAAS LoginModule to acquire Kerberos credentials.

### refreshKrb5Config

private boolean refreshKrb5Config
Refresh the Kerberos config before running?

### realmSettings

@Nonnull private Collection<KerberosRealmSettings> realmSettings
List of realms (KerberosRealmSettings objects).

## Constructor Details

### KerberosSettings

public KerberosSettings()
Constructor.

## Method Details

### setLoginModuleClassName

public void setLoginModuleClassName(@Nonnull @NotEmpty String name)
Set the name of the JAAS LoginModule to use to acquire Kerberos credentials.

Parameters:
  `name` - name of login module class

### getLoginModuleClassName

@Nonnull @NotEmpty public String getLoginModuleClassName()
Return name of the JAAS LoginModule to use to acquire Kerberos credentials.

Returns:
  name of login module class

### setRefreshKrb5Config

public void setRefreshKrb5Config(boolean flag)
Set whether to refresh the Kerberos configuration before running.

Parameters:
  `flag` - flag to set

### getRefreshKrb5Config

public boolean getRefreshKrb5Config()
Return whether to refresh the Kerberos configuration before running.

Returns:
  true if Kerberos configuration is to be refreshed

### setRealms

public void setRealms(@Nullable Collection<KerberosRealmSettings> realms)
Collection of realms (KerberosRealmSettings objects).

Parameters:
  `realms` - realms to set.

### getRealms

@Nonnull @NotLive @Unmodifiable public Collection<KerberosRealmSettings> getRealms()
Get list of realms.

Returns:
  list of realms